1. MaxKovalsky

    MaxKovalsky Bit poster

    Messages:
    2
    Good day.

    I have an outdated Parallels 10 license. Few moments ago i've tried to activate my old P10 with that license number but got an error message that i have to buy the new one becouse of reached limit of the activations. Is it possible to do something or it's the end?

    I'm using High Sierra and need only P10.

    Thaks in advanse.
     
  2. DebasmitaM

    DebasmitaM Forum Maven

    Messages:
    1,142
    Hello, Parallels Desktop 10 is End-of-life and End-of-support as well. Parallels Desktop for Mac 10 is not compatible with High Sierra. Please refer to this KB article to know more about the compatibility between Mac OS and Parallels Desktop.
     

Share This Page